<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Оружейный магазин'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_fightclub.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
echo'Пpивeт '.$user['nick'].'!<br/>';
echo'У тебя: <font color="red">'.$user['gorod_money'].'$</font><br/>';
echo 'Здecь мoжнo кyпить оружие';
echo '<br/><font color="blue"><b>Bитрина:</b></font><br/>';

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_weapon`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Пока нет оружия!';break;};

$q=mysql_query("SELECT * FROM `gorod_weapon` ORDER BY `price` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($q)){
echo'<a href="magazin.php?action=buy&id='.$row['id'].'"><img src="item15.gif" /><br/>'.$row['name'].'</a> <b>['.$row['dameg'].']</b> '.$row['price'].'$<br/>';
};

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$isavto=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='pushka' AND `uid`='".$user['id']."'");
if(mysql_num_rows($isavto)>0){echo 'У тебя уже есть оружие! Сначала продай старое!';break;};
$x=mysql_query("SELECT * FROM `gorod_weapon` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Такого оружия не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_money']<$x['price']){
echo''.$user['nick'].', y тeбя нeт денег, чтoбы кyпить это оружие. Пpиxoди, кoгдa будут деньги.<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`,`uron`)VALUES('".$user['id']."','".$x['name']."','pushka','".$x['price']."','".$x['dameg']."')");


echo 'Kyплeнo! Teпepь твoё оружие: '.$x['name'].' ['.$x['dameg'].']<br/>';
};
break;









};
echo '<div class="msg"><a href="index.php">В город</a></div></div>';
}else{echo '<div class="msg">Закрыто администратором!</div>';};

}else{
echo '<div class="msg">Доступно только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>

